<?php
function squirrelmail_plugin_init_weather_uk()
{
	global $squirrelmail_plugin_hooks;

	$squirrelmail_plugin_hooks['menuline']['weather_uk'] = 'weather_uk_link';
	$squirrelmail_plugin_hooks['options_display_inside']['weather_uk'] = 'do_weather_uk_options';
	$squirrelmail_plugin_hooks['options_display_save']['weather_uk'] = 'do_weather_uk_save';
	$squirrelmail_plugin_hooks['loading_prefs']['weather_uk'] = 'do_weather_uk_load';
}

function weather_uk_version()
{
	return '0.5';
}

/*
 Put here because it is called for every page
 so no need to inlcude the weather_uk-setup
 file.
*/
function weather_uk_link()
{
	global $weather_uk_visible;

	if (! $weather_uk_visible)
		return;

	bindtextdomain('weather_uk', SM_PATH . 'plugins/weather_uk/locale');
	textdomain('weather_uk');

	displayInternalLink('plugins/weather_uk/weather_uk.php', _("Weather"), '');

	bindtextdomain('squirrelmail', SM_PATH . 'locale');
	textdomain('squirrelmail');


	echo "&nbsp;&nbsp;\n";
}


function do_weather_uk_options()
{
	include_once(SM_PATH . 'plugins/weather_uk/weather_uk-setup.php');
	weather_uk_options();
}

function do_weather_uk_save()
{
	include_once(SM_PATH . 'plugins/weather_uk/weather_uk-setup.php');
	weather_uk_save();
}

function do_weather_uk_load()
{
	include_once(SM_PATH . 'plugins/weather_uk/weather_uk-setup.php');
	weather_uk_load();
}

?>
