<?php

global $weather_uk_vars;
$weather_uk_vars = array(
	'weather_uk_visible', 'weather_uk_region',
	'weather_uk_where_uk', 'weather_uk_where_region',
	'weather_uk_when_today', 'weather_uk_when_tomorrow', 'weather_uk_when_dayafter',
	'weather_uk_what_weather', 'weather_uk_what_wind', 'weather_uk_what_temperature'
);

function weather_uk_save()
{
	global $username, $data_dir;
	global $weather_uk_vars;

	$vis = ""; //sqgetGlobalVar does not reset this
	$eval_str = "";
	reset($weather_uk_vars);
	while (list($k, $var) = each($weather_uk_vars))
	{
		sqgetGlobalVar($var, $vis, SQ_POST);
		setPref($data_dir, $username, $var, $vis);
		$eval_str .= "\$$var=\"$vis\";";
		$vis = "";
	}
	eval($eval_str);

	// Samity checks
	if ($weather_uk_where_uk == "" && $weather_uk_where_region == "")
		setPref($data_dir, $username, "weather_uk_where_uk", "checked");

	if ($weather_uk_when_today == "" && $weather_uk_when_tomorrow == "" &&
			$weather_uk_when_dayafter == "" )
		setPref($data_dir, $username, "weather_uk_when_today", "checked");

	if ($weather_uk_what_weather == "" && $weather_uk_what_wind == "" &&
			$weather_uk_what_temperature == "" )
		setPref($data_dir, $username, "weather_uk_what_temperature", "checked");
}


function weather_uk_load()
{
	global $username, $data_dir;
	global $weather_uk_vars;

	$eval_str = "";
	reset($weather_uk_vars);
	while (list($k, $var) = each($weather_uk_vars))
	{
		$vis = getPref($data_dir, $username, $var);
		$eval_str .= "global \$$var;\$$var=\"$vis\";";
	}
	eval($eval_str);
}


function weather_uk_options()
{
	global $weather_uk_visible, $weather_uk_region;
	global $weather_uk_where_uk, $weather_uk_where_region;
	global $weather_uk_when_today, $weather_uk_when_tomorrow, $weather_uk_when_dayafter;
	global $weather_uk_what_weather, $weather_uk_what_wind, $weather_uk_what_temperature;

	bindtextdomain('weather_uk', SM_PATH . 'plugins/weather_uk/locale');
	textdomain('weather_uk');

	$regions = array(
		'CSE' => _("South Central England"),
		'DC'  => _("Devon Cornwall"),
		'EC'  => _("Eastern Counties"),
		'M'   => _("Middlands"),
		'NES' => _("North East Scotland"),
		'NE'  => _("Yorkshire & Lincolnshire"),
		'NI'  => _("Northern Ireland"),
		'NWS' => _("North West Scotland"),
		'NW'  => _("North West England"),
		'N'   => _("Northern England"),
		'SES' => _("South East Scotland"),
		'SE'  => _("South East England"),
		'SWS' => _("South West Scotland"),
		'WC'  => _("West Country"),
		'W'   => _("Walse"));

	$select_box = '<select name=weather_uk_region>';
	while (list($m, $t) = each($regions))
	{
		$checked = ($weather_uk_region == $m ? "selected" : "");
		$select_box .= "<option value=$m $checked> $t </option>";
	}
	$select_box .= '</select>';

	$visiable_chk = ($weather_uk_visible ? 'checked' : '');

	$options_table = '<table>'.
		"<tr><td colspan=2><input name='weather_uk_visible' type=checkbox value=checked $weather_uk_visible> ".
			_("Show weather link in toolbar") . '</td></tr>'.
		'<tr><td>' . _("Where") . ':</td><td>'.
		"<input name='weather_uk_where_uk' type=checkbox value=checked $weather_uk_where_uk> " . _("Whole UK"). ' '.
		"<input name='weather_uk_where_region' type=checkbox value=checked $weather_uk_where_region> ".
			_("Regional") . ' ' . $select_box . ' '.
		'</td></tr>'.
		'<tr><td>' . _("When") . ':</td><td>'.
		"<input name='weather_uk_when_today' type=checkbox value=checked $weather_uk_when_today> ". _("Today") . ' '.
		"<input name='weather_uk_when_tomorrow' type=checkbox value=checked $weather_uk_when_tomorrow> ". _("Tomorrow") . ' '.
		"<input name='weather_uk_when_dayafter' type=checkbox value=checked $weather_uk_when_dayafter> ". _("Day After") . ' '.
		'</td></tr>'.
		'<tr><td>' . _("What") . ':</td><td>'.
		"<input name='weather_uk_what_weather' type=checkbox value=checked $weather_uk_what_weather> ". _("Weather") . ' '.
		"<input name='weather_uk_what_wind' type=checkbox value=checked $weather_uk_what_wind> ". _("Wind").' '.
		"<input name='weather_uk_what_temperature' type=checkbox value=checked $weather_uk_what_temperature> ". _("Temperature") . ' '.
		'</td></tr>'.
		'</table>';

	echo '<tr><td align=right valign=top nowrap>' . _("UK weather forecast:") . "</td><td>$options_table</td></tr>\n";
		"<td><input name='weather_uk_visible' type=checkbox $visiable_chk>".
		_("Show weather link in toolbar") . "</td></tr>\n";

	bindtextdomain('squirrelmail', SM_PATH . 'locale');
	textdomain('squirrelmail');
}

?>
